Bug 19510 - edi_manage permission has no description
Summary: edi_manage permission has no description
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Chris Weeks
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords: Academy
Depends on: 7736
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-22 12:27 UTC by Katrin Fischer
Modified: 2018-06-04 20:15 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19510: Add description for edi_manage in acquistion permissions (1.31 KB, patch)
2017-12-18 22:24 UTC, Chris Weeks
Details | Diff | Splinter Review
Bug 19510: Add description for edi_manage in acquistion permissions (1.48 KB, patch)
2017-12-18 22:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19510: Add description for edi_manage in acquistion permissions (1.42 KB, patch)
2017-12-19 09:35 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-10-22 12:27:04 UTC
When looking at the permissions given to a staff member, the edi_manage permission under acquisitions has no description.
Comment 1 Chris Weeks 2017-12-18 22:24:15 UTC
Created attachment 69866 [details] [review]
Bug 19510: Add description for edi_manage in acquistion permissions

Test Plan:
1/ Login
2/ Select patrons
3/ Search for a patron by name or card number that exists in the system
4/ Click More -> Set permissions
5/ Expand 'acquistions' and notice that 'edi_manage' has no description
6/ Apply patch
7/ Refresh the permissions page or repeat steps 2 to 5.
8/ Notice that 'edi_manage' now has a description of 'Manage EDIFACT transmissions'
Comment 2 Katrin Fischer 2017-12-18 22:37:59 UTC
Created attachment 69867 [details] [review]
Bug 19510: Add description for edi_manage in acquistion permissions

Test Plan:
1/ Login
2/ Select patrons
3/ Search for a patron by name or card number that exists in the system
4/ Click More -> Set permissions
5/ Expand 'acquistions' and notice that 'edi_manage' has no description
6/ Apply patch
7/ Refresh the permissions page or repeat steps 2 to 5.
8/ Notice that 'edi_manage' now has a description of 'Manage EDIFACT transmissions'

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=19519
Comment 3 Katrin Fischer 2017-12-18 22:38:38 UTC
Thx Chris! 


I really need to sleep now... :)
Comment 4 Josef Moravec 2017-12-19 09:35:53 UTC
Created attachment 69898 [details] [review]
Bug 19510: Add description for edi_manage in acquistion permissions

Test Plan:
1/ Login
2/ Select patrons
3/ Search for a patron by name or card number that exists in the system
4/ Click More -> Set permissions
5/ Expand 'acquistions' and notice that 'edi_manage' has no description
6/ Apply patch
7/ Refresh the permissions page or repeat steps 2 to 5.
8/ Notice that 'edi_manage' now has a description of 'Manage EDIFACT transmissions'

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Jonathan Druart 2017-12-19 14:17:10 UTC
Patch pushed to master for 18.05.

Thanks Chris and congrats for your first patch in!
Comment 6 Nick Clemens 2018-01-15 13:18:50 UTC
Awesome work all! Pushed to stable for 17.11.02
Comment 7 Fridolin SOMERS 2018-01-15 15:43:30 UTC
Pushed to 17.05.x for v17.05.08